Bug 131416 - ethereal's Python components are in the wrong place
ethereal's Python components are in the wrong place
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: ethereal (Show other bugs)
2
All Linux
medium Severity medium
: ---
: ---
Assigned To: Radek Vokal
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-09-01 02:06 EDT by Chris Siebenmann
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-15 03:35:50 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Chris Siebenmann 2004-09-01 02:06:55 EDT
Ethereal ships with two Python components (ethereal_be.py and
ethereal_gen.py). The Ethereal RPM installs these in the Python
2.2 site-specific location, /usr/lib/python2.2/site-packages.

 But Fedora Core 2 ships with Python 2.3, not Python 2.2, and
so the FC2 Python doesn't actually look at the place that the
ethereal Python components are.

Reproduce by:
1. invoke python: $ python
2. try to import either Ethereal module:
   >>> import ethereal_be
   or
   >>> import ethereal_gen
3. watch it fail.

 Quite possibly neither .py file should be included at all, since
they both want an 'omniidl' module. (Or they should actually be in
the the documentation directory.)

 But as a minimum it would be nice if they were in the right
Python directory, if only so /usr/lib/python2.2 didn't get
created on a fresh Fedora Core 2 install and confuse people.
Comment 1 Radek Vokal 2004-09-13 07:27:40 EDT
What's your ethereal version? I checked my epython scripts and they
are places in the correct folder /usr/lib/python2.3/site-packages/
Comment 2 Chris Siebenmann 2004-09-14 16:32:33 EDT
 My version of Ethereal is the Fedora Core 2 version. That would
be:
$ rpm -q ethereal
ethereal-0.10.5-0.2.2

(currently.)
Comment 3 Radek Vokal 2004-09-15 03:35:50 EDT
I've tested this with

Python 2.3.3
ethereal-0.10.6-1

modules are placed in the right folder ../python2.3/.. 

Closing with RAWHIDE

Note You need to log in before you can comment on or make changes to this bug.